from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Directory, Float, Int, Boolean

Centreseq_Tree_V0_1_0 = CommandToolBuilder(tool="centreseq_tree", base_command=["centreseq", "tree"], inputs=[ToolInput(tag="in_summary_report", input_type=File(optional=True), prefix="--summary-report", doc=InputDocumentation(doc="Path to summary_report.csv file produced by the\ncore pipeline  [required]")), ToolInput(tag="in_pro_kk_a_dir", input_type=File(optional=True), prefix="--prokka-dir", doc=InputDocumentation(doc="Path to the Prokka output directory generated by\nthe core pipeline  [required]")), ToolInput(tag="in_outdir", input_type=Directory(optional=True), prefix="--outdir", doc=InputDocumentation(doc="Root directory to store all output files\n[required]")), ToolInput(tag="in_percentile", input_type=Float(optional=True), prefix="--percentile", doc=InputDocumentation(doc="Filter summary report by n_members to the top nth\npercentile. Defaults to 99.0.")), ToolInput(tag="in_n_cpu", input_type=Int(optional=True), prefix="--n-cpu", doc=InputDocumentation(doc="Number of CPUs to dedicate to parallelizable\nsteps of the pipeline.Will take all available\nCPUs - 1 if not specified.")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Set this flag to enable more verbose logging."))], outputs=[ToolOutput(tag="out_pro_kk_a_dir", output_type=File(optional=True), selector=InputSelector(input_to_select="in_pro_kk_a_dir", type_hint=File()), doc=OutputDocumentation(doc="Path to the Prokka output directory generated by\nthe core pipeline  [required]")), ToolOutput(tag="out_outdir", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_outdir", type_hint=File()), doc=OutputDocumentation(doc="Root directory to store all output files\n[required]"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Centreseq_Tree_V0_1_0().translate("wdl", allow_empty_container=True)

